## BraseroTrackImageCfg

BraseroTrackImageCfg

## Functions

BraseroTrackImageCfg * | brasero_track_image_cfg_new ()
BraseroBurnResult | brasero_track_image_cfg_set_source ()
BraseroBurnResult | brasero_track_image_cfg_force_format ()
BraseroImageFormat | brasero_track_image_cfg_get_forced_format ()

## Types and Values

struct | BraseroTrackImageCfg

## Object Hierarchy

        GObject
        ╰── BraseroTrack
            ╰── BraseroTrackImage
                ╰── BraseroTrackImageCfg

## Description

## Functions

### brasero_track_image_cfg_new ()

    BraseroTrackImageCfg *
    brasero_track_image_cfg_new (void);

Creates a new BraseroTrackImageCfg object.

#### Returns

a BraseroTrackImageCfg object.

### brasero_track_image_cfg_set_source ()

    BraseroBurnResult
    brasero_track_image_cfg_set_source (BraseroTrackImageCfg *track,
                                        const gchar *uri);

Sets the image uri or path (absolute or relative). `track` will then identify its format and retrieve its size.

#### Parameters

track | a BraseroTrackImageCfg |
uri | a gchar |

#### Returns

a BraseroBurnResult. BRASERO_BURN_OK if it is successful.

### brasero_track_image_cfg_force_format ()

    BraseroBurnResult
    brasero_track_image_cfg_force_format (BraseroTrackImageCfg *track,
                                          BraseroImageFormat format);

This function allows to prevents the identification of the format of the image. It does not cancel size retrieval. If `format` is BRASERO_IMAGE_FORMAT_NONE then the format of the image will be retrieved.

#### Parameters

track | a BraseroTrackImageCfg |
format | a BraseroImageFormat |

#### Returns

a BraseroBurnResult. BRASERO_BURN_OK if it is successful.

### brasero_track_image_cfg_get_forced_format ()

    BraseroImageFormat
    brasero_track_image_cfg_get_forced_format
                                   (BraseroTrackImageCfg *track);

This function returns the BraseroImageFormat that was set for the image. See `brasero_track_image_cfg_force_format()`.

#### Parameters

track | a BraseroTrackImageCfg |

#### Returns

a BraseroBurnResult. BRASERO_BURN_OK if it is successful.

## Types and Values

### struct BraseroTrackImageCfg

    struct BraseroTrackImageCfg;